# Run tests in check section
%bcond_without check

# https://github.com/mattn/go-pointer
%global goipath         github.com/mattn/go-pointer
%global commit          49522c3f37914a12a6813caf41f4a9e84d39ca0a

%global common_description %{expand:
Utility for cgo.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        Utility for cgo
# https://github.com/mattn/go-pointer/issues/5
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%doc README.md


%changelog
* Mon Apr 08 21:08:01 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190408git49522c3
- First package for Fedora

